[Overview][Resource strings][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'daemonapp' (#fcl)

# TDaemonController.Controller

Controller

## Declaration

Source position: daemonapp.pp line 137

`public procedure TDaemonController.Controller(`
`ControlCode: DWord;`
`EventType: DWord;`
`EventData: Pointer`
`); virtual;`

## Arguments

`ControlCode` |  | Control code sent by the system
`EventType` |  | Event type sent by the system
`EventData` |  | Additional event data sent by the system

## Description

Controller is responsible for sending the control code to the daemon thread so it can be processed.

This routine is currently only used on windows, as there is no service manager on Linux. Later on this may be changed to respond to signals on Linux as well.

## See also

TDaemon.OnControlCode |  | Called when a control code is received for the daemon